## firebird3.0 3.0.13.ds7

=== debian/changelog ===
firebird3.0 (3.0.13.ds7-2) unstable; urgency=medium

  * -examples: replace firebird3.0-dev recommendation with firebird-dev.
    Thanks to Carles Pina i Estany (Closes: #1113832)
  * convert debian/watch to version 5

 -- Damyan Ivanov <dmn@debian.org>  Wed, 03 Sep 2025 09:32:47 +0000

firebird3.0 (3.0.13.ds7-1) unstable; urgency=medium

  * New upstream version 3.0.13.ds7
    Closes: #1111321 (CVE-2025-54989)
  * drop patches released upstream
  * refresh two patches to apply cleanly
  * add Author to out/kfreebsd-sse4.patch
  * declare conformance with Policy 4.7.2 (no changes needed)
  * disable pristine-tar in gbp.conf
  * drop debian/source/local-options

 -- Damyan Ivanov <dmn@debian.org>  Sun, 17 Aug 2025 14:17:47 +0000

firebird3.0 (3.0.12.ds7-13) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation

 -- Damyan Ivanov <dmn@debian.org>  Sun, 23 Mar 2025 16:20:32 +0000

firebird3.0 (3.0.12.ds7-12) unstable; urgency=medium

  [ Gioele Barabucci ]
  * d/control: Remove outdated debconf version constraint (Closes: #1096116)

 -- Damyan Ivanov <dmn@debian.org>  Mon, 17 Feb 2025 07:56:23 +0000

firebird3.0 (3.0.12.ds7-11) unstable; urgency=medium

  * Revert 'remove the firebird system user when -server is purged'
    See the discussion in #1095408 and
    https://wiki.debian.org/AccountHandlingInMaintainerScripts
    Reopens: #1089791

 -- Damyan Ivanov <dmn@debian.org>  Sat, 08 Feb 2025 11:23:01 +0000

firebird3.0 (3.0.12.ds7-10) unstable; urgency=medium

  * fix init.d-style service management

 -- Damyan Ivanov <dmn@debian.org>  Fri, 07 Feb 2025 15:12:46 +0000

firebird3.0 (3.0.12.ds7-9) unstable; urgency=medium

  * functions.sh: deduce security database name from firebird version
  * fix shell quoting, also in generated SYSDBA.password
  * use correct package name when recommending dpkg-reconfigure for changing
    SYSDBA password
  * -server.postinst: create 'firebird' user only if it doesn't exists
  * move RemoteServicePort from firebird.conf to a separate file, managed in
    postinst

 -- Damyan Ivanov <dmn@debian.org>  Wed, 05 Feb 2025 14:58:32 +0000

firebird3.0 (3.0.12.ds7-8) unstable; urgency=medium

  * Upload to unstable

 -- Damyan Ivanov <dmn@debian.org>  Sat, 25 Jan 2025 15:23:28 +0000

firebird3.0 (3.0.12.ds7-7+exp1) experimental; urgency=medium

  * upload with +exp1 in the revision

 -- Damyan Ivanov <dmn@debian.org>  Thu, 16 Jan 2025 13:38:37 +0000

firebird3.0 (3.0.12.ds7-7) experimental; urgency=medium

  * merge with debian/unstable

 -- Damyan Ivanov <dmn@debian.org>  Thu, 16 Jan 2025 13:30:01 +0000

firebird3.0 (3.0.12.ds7-6) unstable; urgency=medium

  * add upstream patch fixing build with ICU 76.1 (Closes: #1092319)

 -- Damyan Ivanov <dmn@debian.org>  Thu, 16 Jan 2025 13:10:11 +0000
