=== debian/control ===
Source: firebird3.0
Section: database
Priority: optional
Maintainer: Damyan Ivanov <dmn@debian.org>
Build-Depends:
 autoconf,
 automake,
 debhelper-compat (= 13),
 firebird-dev,
 gawk,
 libboost-dev,
 libedit-dev,
 libicu-dev,
 libtommath-dev,
 libtool,
 pkgconf,
 po-debconf,
 recode,
 rename,
 systemd-dev,
 zlib1g-dev,
Build-Conflicts: autoconf2.13, automake1.4
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/firebird-team/firebird3.0.git -b debian/experimental
Vcs-Browser: https://salsa.debian.org/firebird-team/firebird3.0/-/tree/debian/experimental
Homepage: https://firebirdsql.org/
Rules-Requires-Root: no

Package: firebird3.0-server-core
Architecture: any
Multi-Arch: same
Breaks: firebird3.0-server (<< 3.0.9.33560.ds4-3~)
Replaces: firebird3.0-server (<< 3.0.9.33560.ds4-3~)
Depends: ${shlibs:Depends}, ${misc:Depends}, ${icu:Depends},
 firebird3.0-common (= ${source:Version}),
 firebird3.0-common-doc (= ${source:Version}),
 libfbclient2 (>= 4.0.1.2692.ds1-1~),
Pre-Depends: ${misc:Pre-Depends}
Recommends: firebird3.0-utils | firebird4.0-utils
Suggests: firebird3.0-server
Enhances: libfbclient2
Description: Firebird engine core
 Firebird database engine and support libraries. This package is required for
 embedded (serverless) access to local databases with the tools packaged in
 firebird3.0-utils or other binaries linked to the firebird client library,
 libfbclient2.
 .
 The rest of the binaries needed for running a full-featured,
 remotely-accessible Firebird server are in the firebird3.0-server package.

Package: firebird3.0-server
Architecture: any
Replaces: firebird3.0-server-core (<< 3.0.9.33560.ds4-3~)
Depends: adduser, ${shlibs:Depends}, firebird3.0-common (= ${source:Version}),
 firebird3.0-server-core (= ${binary:Version}),
 firebird3.0-utils (= ${binary:Version}) | firebird4.0-utils,
 firebird-utils,
 libfbclient2 (>= 4.0.1.2692.ds1-1~),
 ${misc:Depends},
 firebird3.0-common-doc (= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Recommends: libib-util
Suggests: firebird3.0-doc
Description: Firebird Server - an RDBMS based on InterBase 6.0 code
 Firebird is a relational database offering many ANSI SQL-99 features that
 runs on Linux, Windows, and a variety of Unix platforms. Firebird offers
 excellent concurrency, high performance, and powerful language support
 for stored procedures and triggers. It has been used on production systems
 under a variety of names since 1981.
 .
 This package contains the server binary as well as its configuration files.
 The default mode of operation is the so called "super", which is a
 single-threaded server process with shared database cache between
 connections. The two other operation modes -- "classic" (separate
 process/cache for each connection) and "superclassic" (separate thread/cache
 for each connection) are also available via configuration options.

Package: firebird3.0-utils
Architecture: any
Conflicts:
 firebird2.5-common, firebird2.5-server-common,
 firebird2.1-super, firebird2.1-classic, firebird2.1-common,
 firebird2.5-super, firebird2.5-classic-common
Depends:
 firebird-utils,
 firebird3.0-common (= ${source:Version}),
 firebird3.0-common-doc (= ${source:Version}),
 libfbclient2 (>= 4.0.1.2692.ds1-1~),
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends}
Recommends:
 firebird3.0-server-core,
Suggests:
 firebird3.0-doc,
 firebird3.0-server,
Description: Firebird command line utilities
 This package contains the utilities for managing Firebird databases:
  * isql-fb -- interactive console (original name isql)
  * gbak -- backup and restore databases
  * gfix -- check and repair databases
  * gsec -- manage users and roles
  * fbstat -- analyze databases (original name gstat)
  * nbackup -- incremental backup and file-level copy
  * gpre -- preprocess sources with embedded SQL

#Package: libfbclient2
#Section: libs
#Architecture: any
#Multi-Arch: same
#Depends: ${shlibs:Depends}, firebird3.0-common (= ${source:Version}),
# ${misc:Depends},
# firebird3.0-common-doc (= ${source:Version})
#Pre-Depends: ${misc:Pre-Depends}
#Description: Firebird client library
# Client library for connecting to the Firebird server. It can also be used for
# direct (embedded) database access.
# .
# See firebird3.0-server package for more information about Firebird.
#
#Package: libib-util
#Section: libs
#Architecture: any
#Multi-Arch: same
#Depends: ${shlibs:Depends}, ${misc:Depends},
# firebird3.0-common-doc (= ${source:Version})
#Pre-Depends: ${misc:Pre-Depends}
#Description: Firebird UDF support library
# Contains utility functions used by Firebird User-Defined Functions (UDF) for
# memory management etc.
# .
# See firebird3.0-server package for more information about Firebird.

Package: firebird3.0-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 firebird3.0-common-doc (= ${source:Version}),
 perl,
Pre-Depends: ${misc:Pre-Depends}
Description: common files for firebird 3.0 server, client and utilities
 Common files for the Firebird server, client and user utilities.
 .
 These include the support scripts as well as configuration files in
 /etc/firebird/3.0.

#Package: firebird-dev
#Section: libdevel
#Architecture: any
#Conflicts: firebird2-dev, firebird2.1-dev, firebird2.5-dev
#Replaces: firebird2-dev, firebird2.1-dev, firebird2.5-dev
#Depends: libfbclient2 (>= ${source:Version}),
# libib-util (>= ${source:Version}),
# ${misc:Depends},
# firebird3.0-common-doc (= ${source:Version})
#Pre-Depends: ${misc:Pre-Depends}
#Suggests: firebird3.0-examples
#Description: Development files for Firebird
# C header files for Firebird, useful if one compiles programs that use the
# Firebird client to work with Firebird databases.
# .
# See firebird3.0-server package for more information about Firebird.

Package: firebird3.0-examples
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 firebird3.0-common-doc (= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Recommends: firebird-dev
Description: Examples for Firebird database
 The examples included in this package are provided as samples and are also
 used by Firebird's testing suite (TCS). The examples are in the form
 of .h, .c, .e, .fdb and .gbk files.
 .
 See firebird3.0-server package for more information about Firebird.

Package: firebird3.0-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 firebird3.0-common-doc (= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: Documentation files for firebird database version 3.0
 Various documents for firebird 3.0. These include the release notes, what's
 new in firebird 3.0, quick start guide, upgrade guide, list of ISQL
 enhancements etc.

Package: firebird3.0-common-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: copyright, licensing and changelogs of firebird3.0
 Copyright, licensing information and upstream changelog of firebird3.0.
 .
 Due to the size of the upstream change log and copyright/licensing summary,
 keeping them in a separate package saves space on mirrors and when installing
 firebird3.0 packages.
