=== debian/watch ===
Version: 5

Source: https://firebirdsql.org/en/firebird-3-0/
Matching-Pattern: .*/[Ff]irebird-(3\.0\.\d+(?:\.\d+)?)(?:-0)?@ARCHIVE_EXT@
Dversionmangle: s/(?:\.ds\d+)$//
Repacksuffix: .ds7
Uversionmangle: s/-\d+//;s/-(?=\D)/~/g;s/^\d+\.\d+\.\d+\K\.\d+//
